﻿@model IEnumerable<NewsFeed.Domain.DTO.NewsDTO>
@using Microsoft.AspNetCore.Identity

@inject SignInManager<IdentityUser> SignInManager
@inject UserManager<IdentityUser> UserManager
@{
    ViewData["Title"] = "Home Page";
}

@if (SignInManager.IsSignedIn(User))
{
    <div class="jumbotron">
        <h1>Modus Create News</h1>
        <p>Latest News</p>
    </div>
} else
{
    <div class="jumbotron">
        <h1>Modus Create News</h1>
        <p>Here you can learn and publish notices</p>
        <div class="row">
            <p>
                <a asp-area="Identity" asp-page="/Account/Register" class="btn btn-success btn-lg col-md-2" style="margin: 0px 9px 9px 0px;">Register </a>
                
                <a asp-area="Identity" asp-page="/Account/Login" class="btn btn-success btn-lg col-md-2">Login</a>
            </p>
            
        </div>       
    </div>
}




<div class="row">
    @if (SignInManager.IsSignedIn(User))
    {
        @foreach (var item in Model)
        {
            <div class="col-sm-6 col-md-4">
                <div class="thumbnail">
                    <div class="caption">
                        <h3>@Html.DisplayFor(modelItem => item.NewTitle)</h3>
                        <p>@Html.DisplayFor(modelItem => item.NewDescription)</p>
                        <p>
                            @Html.ActionLink("Read More", "Details", "News", new { id = item.NewsId }, new { @role = "button", @class = "btn btn-default" })
                        </p>
                        <form asp-action="Subscribe" asp-controller="News" asp-route-id="@item.NewsId">
                            <input type="submit" value="Subscribe" class="btn btn-primary" />
                            @Html.HiddenFor(modelItem => item.NewsId)
                        </form>
                    </div>
                </div>
            </div>
        }
    }
    else
    {

    }

</div>
